Subject: [JAGNUTS] Mothers Day Sunday

From: "Bob England - Mechanical Design Group" <[email-masked]>
Date: Fri, 11 May 2007 07:53:12 -0600

What better way to treat your wife/mother this Sunday for Mother's Day than
bringing her out at 9:00 for breakfast at Melrose Place to talk British
cars?
 
Bob